# Kylin remote development

## 介绍

> kylin remote development 是一款kylin-ide、kylin-code插件，用于远程开发，支持
 x86、arm64、loongarch64平台，可以实现远程编辑、调试、智能提示语法高亮、插件管理等功能。
---
## 功能
- 插件通过ssh远程到目标主机进行开发，可进行编辑、调试、语法高亮智能提示、插件管理。

## 使用方法
#### 添加ssh目标主机
  >通过插件'添加'按钮，输入ssh远程目标如 'test@192.168.1.101'(默认远程ssh端口22)或'test@192.168.1.101:1234'(远程ssh端口非默认端口)。

#### 下载对应平台的ide server包
  > 1. 在远程资源管理器中选择要连接的ssh远程目标，点击'窗口打开'或'浏览器'中打开;
  > 2. 输入ssh对应用户密码;
  > 3. 若远程目标机未启动对应服务，插件将提示用户手动下载对应包；
  > 4. 将下载的安装包放置~/.cache目录下；

#### 进行远程开发
  > 通过新窗口、浏览器打开的远程开发环境中进行编辑、调试、插件管理等工作。

#### 注意
*并不是所有平台的浏览器对远程开发都能完美支持，当前x86、arm64平台上的chrome、Firefox、奇安信浏览器支持较好。其他平台下使用该插件时建议使用窗口模式打开远程开发环境。*